GNU bug report logs - #16913
Please extend case-fold-search on-the-fly toggling

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Reuben Thomas <rrt@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 Jun 2022 17:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 13:23:41 2022
Received: from localhost ([127.0.0.1]:60296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0nmv-0001aZ-9j
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 13:23:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o0nms-0001aH-3k
 for 16913 <at> debbugs.gnu.org; Mon, 13 Jun 2022 13:23:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=uFcSzy0t/dVkp3yydPr3+oNf5qZxbX7YgtBbErXVjPE=; b=Aw9+Ss7CMXd5lDLCaKgoHndM4a
 CS+duyOekfEH8i9xHnZPA012ussswzkop+cAoKS6J6RIkUqZsa7bXIvmr+dbVtJoSW0N2QmKT2D0E
 mUP/aPgNlCSKAu+Ony4VDtIoK8ZfKlxLtlWy9mPie7ArmVe0b1idrVRCNJTMTGiEVXoM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o0nmh-0002ec-Vi; Mon, 13 Jun 2022 19:23:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN> <86fsldz7so.fsf@HIDDEN>
 <878rr51gjn.fsf@HIDDEN> <87r13ssn58.fsf@HIDDEN>
 <861qvsa3rd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEX89Obm3dLExsbI
 raetnpqrP06gX2aKZWf///+53gUxAAAAAWJLR0QIht6VegAAAAd0SU1FB+YGDRAjIZ8Fuw0AAAGz
 SURBVDjLjZK9c5wwEMVXwCStVsdQI8HhFgS5tAfodH2MqB2+0nuc+/sDHl8yXuyZbKPh/dint5IA
 /rOY/Ej1YvDKD3TfaPAqTmWO3/qqYYrqwYuw863fOwVGVsvJzTun0Jjr/OjmMwXZL1tfutnlFERL
 L4+dnXZWx5t7zm79uLM6XdyPq22nhraIrB9Nok2NBBxSd32udNaxHZj7rtJHR6xYWfWdzV7mnjS0
 xrp+nt38kzS0VerW6i80U/k9dd1KOgISIYzrzG9D5mOFhtOk1MMQE7De26lWIh1pWBND0OSY7k6K
 xdtTQEUa/FdnxoGeYHR+FRBoR1TW26JUSkOFZ5DgNdIQANHT+gLDRklJvfJDwbRSwiQ0b1L6k1bG
 0O2hKoVZSxd09AR5jKjWIQlQCjnjyGJGiGrQ44gecO+9WapQIAoJKN+3CCGLQgoUguRiiRLIcN3m
 rtw5owNs3/5dPBAgOC80KwE15HVdlOEbOFg+pFU6gB1hwMdxWd5AZGD6qkwNdoDO66Z/YAQT8Cnf
 wOLbxYb8L7h9ydtms1qCbDndQdhCE5x5CUkBkgHNTUt98sMfu55QrmcV2VoAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjItMDYtMTNUMTY6MzU6MzIrMDA6MDBKT170AAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIyLTA2LTEzVDE2OjM1OjMyKzAwOjAwOxLmSAAAAABJRU5ErkJggg==
X-Now-Playing: The Durutti Column's _Ni d'eve, ni d'adam_: "Detail For Annik"
Date: Mon, 13 Jun 2022 19:23:25 +0200
In-Reply-To: <861qvsa3rd.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 13 Jun 2022 20:10:14 +0300")
Message-ID: <87r13spjea.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: >> So I've now added
 an `M-c' command to `read-regexp' and made `rgrep' >> heed that in Emacs
 29. > > Are you sure no one might want to use the global binding of M-c >
 to capitalize words in the minib [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> So I've now added an `M-c' command to `read-regexp' and made `rgrep'
>> heed that in Emacs 29.
>
> Are you sure no one might want to use the global binding of M-c
> to capitalize words in the minibuffer?  While redefining it
> for read-regexp is fine, we need to allow disabling it,
> so I suggest to add =E2=80=98(defvar-keymap read-regexp-map =E2=80=A6=E2=
=80=99.

It seemed unlikely to me, and it makes the definition much simpler
(because of closures), so I didn't make a map for this.

I.e., I don't think anybody is going to bother to change this binding.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 Jun 2022 17:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 13:21:11 2022
Received: from localhost ([127.0.0.1]:60283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0nkV-0001Up-C2
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 13:21:11 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:42361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1o0nkT-0001US-RG
 for 16913 <at> debbugs.gnu.org; Mon, 13 Jun 2022 13:21:10 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id B9A281BF20B;
 Mon, 13 Jun 2022 17:21:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
Organization: LINKOV.NET
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN> <86fsldz7so.fsf@HIDDEN>
 <878rr51gjn.fsf@HIDDEN> <87r13ssn58.fsf@HIDDEN>
Date: Mon, 13 Jun 2022 20:10:14 +0300
In-Reply-To: <87r13ssn58.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 13 Jun 2022 15:34:11 +0200")
Message-ID: <861qvsa3rd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> So I've now added an `M-c' command to `read-regexp' and made `rgrep'
> heed that in Emacs 29.

Are you sure no one might want to use the global binding of M-c
to capitalize words in the minibuffer?  While redefining it
for read-regexp is fine, we need to allow disabling it,
so I suggest to add ‘(defvar-keymap read-regexp-map …’.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 Jun 2022 15:42:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 11:42:22 2022
Received: from localhost ([127.0.0.1]:60196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0mCr-0004uZ-O0
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 11:42:21 -0400
Received: from mail-ed1-f48.google.com ([209.85.208.48]:43798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrt@HIDDEN>) id 1o0mCq-0004uK-8F
 for 16913 <at> debbugs.gnu.org; Mon, 13 Jun 2022 11:42:20 -0400
Received: by mail-ed1-f48.google.com with SMTP id x62so7705528ede.10
 for <16913 <at> debbugs.gnu.org>; Mon, 13 Jun 2022 08:42:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=2uKnv5SpGpxELMqc1TZyKFArK/OmufNtHHeC7FmFdkY=;
 b=iUgdsOrVLmJsniDztFf2c2xUXvBKkjX6Ij1AmZJ3WWscbJOIFWPo2UKRJbPa1cOJSo
 INazWgISeBy+w6BTg4J8NwX70ix2xvBfqC7RuUaYOOQp6z82+8L8+8lpv+pBFZOBcKo4
 2Jpm2NuMEJPFsRuw1A0Yb+rFdWCRcIYjYcaR0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=2uKnv5SpGpxELMqc1TZyKFArK/OmufNtHHeC7FmFdkY=;
 b=SefM8TSvcsk2e+MnAt/N9lCE9oDNR0ocsaA+hk/+ZxRFGLwqOn3G7lu308h+nASiYz
 9lqX9/SrTn57V+jzX2XQsCqR1pzGc/0e+JZAtJhCNzVbKjxqoN0Wckfwdm+2wcXefCWc
 nLzZ67skpOfGHQn+p0CDwgIzhdDU5c9Jxg7A2OnwAjywDaMtSd44A9gs01AtA0QLp19S
 3IYFv11FSWMBnLtmWqQFKq86AgbbVtammVs4FmZlQ0LEIr3J/m64qYaTma5qcgScIGSj
 e4ZZ2WPssDgYRjP7PIrTDCLaM0N5i6DHBep/kjb9bxC/RQHl5GIFsDU2Eiy9NIQ9LV2t
 fn+A==
X-Gm-Message-State: AOAM532YfdhzMdFkDKkG2UzT3F1ILEPbG4S06hFCSCPzh8F8tlNfmpXv
 utTh0+l3ymvJh+kmexVxIuIXVHv+VBX6RttljLYqMw==
X-Google-Smtp-Source: ABdhPJyp7ycVgfXVfxmF8gm26Ac9ec8cfddlK8pybV4vWAzBGsSHNcKJ86Ixej7SnCDzBAN030FPiI4248jFjsIr9NI=
X-Received: by 2002:a05:6402:3325:b0:42d:e1d8:99e9 with SMTP id
 e37-20020a056402332500b0042de1d899e9mr352770eda.87.1655134934192; Mon, 13 Jun
 2022 08:42:14 -0700 (PDT)
MIME-Version: 1.0
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN> <86fsldz7so.fsf@HIDDEN>
 <878rr51gjn.fsf@HIDDEN> <87r13ssn58.fsf@HIDDEN>
In-Reply-To: <87r13ssn58.fsf@HIDDEN>
From: Reuben Thomas <rrt@HIDDEN>
Date: Mon, 13 Jun 2022 16:42:03 +0100
Message-ID: <CAOnWdoiG3eKhcFSz=nfQMCq-+3Ky-V6dhGzF96eHamvdyO49Fg@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000cee8d805e1562105"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000cee8d805e1562105
Content-Type: text/plain; charset="UTF-8"

On Mon, 13 Jun 2022 at 14:34, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

>
> I forgot the classic Emacs Lisp way of returning several values: Using
> text properties.  >"?
>
> So I've now added an `M-c' command to `read-regexp' and made `rgrep'
> heed that in Emacs 29.
>

Great, thanks; I look forward to it!

-- 
https://rrt.sc3d.org

--000000000000cee8d805e1562105
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail=
_attr">On Mon, 13 Jun 2022 at 14:34, Lars Ingebrigtsen &lt;<a href=3D"mailt=
o:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex"><br>
I forgot the classic Emacs Lisp way of returning several values: Using<br>
text properties.=C2=A0 &gt;&quot;?<br>
<br>
So I&#39;ve now added an `M-c&#39; command to `read-regexp&#39; and made `r=
grep&#39;<br>
heed that in Emacs 29.<br></blockquote></div><br><div><div style=3D"font-fa=
mily:arial,helvetica,sans-serif;font-size:small" class=3D"gmail_default">Gr=
eat, thanks; I look forward to it!</div><br></div><div>-- </div><div dir=3D=
"ltr" class=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=
=3D"ltr"><div><div dir=3D"ltr"><a href=3D"https://rrt.sc3d.org" target=3D"_=
blank">https://rrt.sc3d.org</a></div></div></div></div></div>

--000000000000cee8d805e1562105--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 16913 <at> debbugs.gnu.org and Reuben Thomas <rrt@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 Jun 2022 13:34:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 13 09:34:36 2022
Received: from localhost ([127.0.0.1]:57644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o0kDD-0004Wb-Pg
	for submit <at> debbugs.gnu.org; Mon, 13 Jun 2022 09:34:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o0kD1-0004Vv-ME
 for 16913 <at> debbugs.gnu.org; Mon, 13 Jun 2022 09:34:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=19v+W23SWLqFxB+rOPJRkk9NBwVhrJANJJjhcoynycI=; b=YjdF1xeudz/lRfBFx0KDhzP4NG
 wlQHeT0LrF30UKI7Vf2In39Io9y9wDwIW0Ts2f2b4+dPYUDH8nHcuj8+LBklId7wTAjxvWib8uNog
 wp/lF67yBNSbW3aaiqhvAfncPwpaTG74xrJX9aALIOnEubzBKljMldl+vdsBdMnV7y24=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o0kCq-0000Rr-OD; Mon, 13 Jun 2022 15:34:15 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN> <86fsldz7so.fsf@HIDDEN>
 <878rr51gjn.fsf@HIDDEN>
X-Now-Playing: John Costello's _Tuxedomooning: A Tribute_: "Egypt"
Date: Mon, 13 Jun 2022 15:34:11 +0200
In-Reply-To: <878rr51gjn.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 13 May 2022 19:35:56 +0200")
Message-ID: <87r13ssn58.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Juri Linkov
 <juri@HIDDEN>
 writes: > >> Maybe `read-regexp' could modify some global variable? > > Like
 read-regexp-last-case-fold-setting or something? I guess that's > possible,
 but it feels ra [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Juri Linkov <juri@HIDDEN> writes:
>
>> Maybe `read-regexp' could modify some global variable?
>
> Like read-regexp-last-case-fold-setting or something?  I guess that's
> possible, but it feels rather hacky...
>
> We could add an extra parameter that would make read-regexp alter
> `case-fold-search', and then callers (that used that parameter) would
> have to bind case-fold-search around the call, but that feels like it
> could be very error-prone.

I forgot the classic Emacs Lisp way of returning several values: Using
text properties.  >"?

So I've now added an `M-c' command to `read-regexp' and made `rgrep'
heed that in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 May 2022 17:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 13:36:12 2022
Received: from localhost ([127.0.0.1]:44940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npZD2-0003Cz-N7
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 13:36:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1npZD1-0003Cl-24
 for 16913 <at> debbugs.gnu.org; Fri, 13 May 2022 13:36:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=qDVsJnHswIDa7NLxDkSpHVpGxP68y8WJJo2GQi7WfCg=; b=Cd2l4rxGG0+tncAyxQKDJZjSRC
 5y06rqlXkh54V9mI/UIjGa+JG8pYiPsbjT/83q/SYIqW1hMx6QaDiQgUIOyyM1i3diF95cYipN+r4
 hDsb+ky/v/TYgc8jamq6a892A7iQD0AeLgMD3vIkdvAI9WClME8Hi0yJ0f+kwWDrgjJc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1npZCo-0002yj-VM; Fri, 13 May 2022 19:36:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN> <86fsldz7so.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEU3HBjg2cCfWzHV
 pFX////WnusWAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFDREhOI86YagAAAGjSURBVDjLnZSNkeMw
 CIWx0sDKNCBBAxH039t9KJu9ZMeZuTk8smze409gi4gc/ZcMaSZNpL1pT1cpoGS9sYu7ArqIv/CL
 aO2c4mliT5uEiUFr2WVZCMH6sKXlZoixTZXsgxeMpG123BQqgGW0R8Cd4GiHacpKSQ+xaLjDstld
 WiIdYA3BWgZJjCNzSM+ZZbEoHaIrqU/T0dTLRMzD1jrldte73DKD/NMByh8CUctn8GxRgGYqjIF9
 UG1dRgjqAKinDCvnBcTKIHgsACS4Mia3c6URnKPw0tk3oEWNJeErljnoiUf1yBmknhXcu2t2xwN3
 JX+AkK7sW3VCUe+b750mxVQ3FqfKoidKXIJnTtJyYDNqIKPsXXu5quy2h7U4wLDdTKHNHCac8k9z
 i/8NdDzV0enE7Gdg5LEpvgDj77jI7ymcn4D+GVj/arEqgxegzrsKT5rVtRqT1dRFP56S9iLOZA/2
 ZvuDaM0Yx1I8Xvcsv8nPq413zdirzD/IuNBNpvzSoid1fV0BJfdLoD6tS+DKT4nL/8unOvkJHF9X
 vKOf9Oep+wPm5FtIUf25OwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNS0xM1QxNzozMzo1Nisw
 MDowMAuxXAsAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDUtMTNUMTc6MzM6NTYrMDA6MDB67OS3
 AAAAAElFTkSuQmCC
X-Now-Playing: The Cure's _Japanese Whispers_: "The Lovecats"
Date: Fri, 13 May 2022 19:35:56 +0200
In-Reply-To: <86fsldz7so.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 13 May 2022 20:00:55 +0300")
Message-ID: <878rr51gjn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Maybe `read-regexp'
 could modify some global variable? Like read-regexp-last-case-fold-setting
 or something? I guess that's possible, but it feels rather hacky... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Maybe `read-regexp' could modify some global variable?

Like read-regexp-last-case-fold-setting or something?  I guess that's
possible, but it feels rather hacky...

We could add an extra parameter that would make read-regexp alter
`case-fold-search', and then callers (that used that parameter) would
have to bind case-fold-search around the call, but that feels like it
could be very error-prone.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 May 2022 17:06:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 13:06:37 2022
Received: from localhost ([127.0.0.1]:44919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npYkP-0002Hr-Ez
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 13:06:37 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:59979)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1npYkN-0002HL-NA
 for 16913 <at> debbugs.gnu.org; Fri, 13 May 2022 13:06:36 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 5C7F9FF807;
 Fri, 13 May 2022 17:06:27 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
Organization: LINKOV.NET
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 <87v8u9vccp.fsf@HIDDEN>
Date: Fri, 13 May 2022 20:00:55 +0300
In-Reply-To: <87v8u9vccp.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 13 May 2022 14:36:06 +0200")
Message-ID: <86fsldz7so.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> The idea was to add the capability to do case-insensitive matching to
>> all commands that read regexs. The list of simple commands one would
>> have to write could be quite long!
>
> Yup.  I don't know what the best way for `read-regexp' to communicate
> this back up to the caller, though.  Perhaps the easiest would be to
> just add a new optional parameter to `read-regexp' that would make it
> activate the `M-c' key binding, and then return a list that has both the
> regexp we read and whether the user used a case twiddling command.

Maybe `read-regexp' could modify some global variable?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 13 May 2022 12:36:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 08:36:24 2022
Received: from localhost ([127.0.0.1]:43116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npUWt-0006ws-OM
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 08:36:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1npUWn-0006wV-HN
 for 16913 <at> debbugs.gnu.org; Fri, 13 May 2022 08:36:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vFO6fVMa+GHn5GiG9BYlQrE+wJ0Mc0gI2bSuYYDaeQw=; b=k6aBQhoeNPP23jxZRpPH/KNzRa
 q3QruD06zFMIwvd9QzRtXwQ5MjdfWHRaEVXPqE4gqld0zNvzfC4esIyWqTzhC/f6F1HpGPOjoL9RW
 pRZuKB4+2Zh09l74BfAbg3SI1Y9K/59wQXn5vEJMHd5AJHynrvGN9Zh8hH0CXy2ZmcH0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1npUWe-0000ZT-8c; Fri, 13 May 2022 14:36:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
 <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEULCgomIiNMPECM
 dYCqscBedJT////hIySvAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YFDQwgEy5jmYoAAAGxSURBVDjL
 nZRBkqMwDEUl5wKSXbO3TbEndnKBhpyA+P5XmS8D3RnSvehRJUT5T5aFkCEiFnzJTOiw7b+n7Lqm
 28fViBgojgLzFs4W6krpUXKhoHuefnFT2dxAPpmjtiRLX8HESoMAQBCUwTGRqxNAmCVEzVSLpXGc
 IlZMivAQs4ESBKkcPO/K1SsFJJq8p3KJABeJqL1cHdFQJF+9M8AsDiD4VAwMMU2ekSqiJheJPRzc
 8BCSXHFbBpQgMufej6FytPspQ29KtNI6cMmJgcEuLImOdtqGw9FPA+5osKgojFnVa8qsUCBRgz2X
 f+xhWgfL8k6orXX5Hrxlgv0IHr8Gy4/g8Wvw31U93zM1ugOgWfNJb1Q0o123ExgbJc3qc+12W+a6
 3Oacvc+U/JB9bm291VaRd61pOyZQxxHK87GlWevccsaIqoG1fdl6byOibZZyGiF8/Fl0BxkGwJqx
 xz364vrTNh3HzybEItLhYAPMOndwKF3djWR3fNIXWfr86cnEzl8fxhcxeUujSm9EeV91In5Hn++O
 PtksGOltxk9vlVeTr59jx01KSXfIW/G2GHX9BbXsoaaGNqIXAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIyLTA1LTEzVDEyOjMyOjE5KzAwOjAwi176NQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNS0x
 M1QxMjozMjoxOSswMDowMPoDQokAAAAASUVORK5CYII=
X-Now-Playing: Band Apart's _Marseille_: "The Lesson"
Date: Fri, 13 May 2022 14:36:06 +0200
In-Reply-To: <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
 (Reuben Thomas's message of "Thu, 12 May 2022 18:42:59 +0100")
Message-ID: <87v8u9vccp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Reuben Thomas <rrt@HIDDEN> writes: > The idea was to add
 the capability to do case-insensitive matching to > all commands that read
 regexs. The list of simple commands one would > have to write could be quite
 long! Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Reuben Thomas <rrt@HIDDEN> writes:

> The idea was to add the capability to do case-insensitive matching to
> all commands that read regexs. The list of simple commands one would
> have to write could be quite long!

Yup.  I don't know what the best way for `read-regexp' to communicate
this back up to the caller, though.  Perhaps the easiest would be to
just add a new optional parameter to `read-regexp' that would make it
activate the `M-c' key binding, and then return a list that has both the
regexp we read and whether the user used a case twiddling command.

Callers like rgrep would have to be changed, but that's the case anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 12 May 2022 17:43:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 13:43:21 2022
Received: from localhost ([127.0.0.1]:42235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npCqP-00061x-4i
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 13:43:21 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:34322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrt@HIDDEN>) id 1npCqJ-00061X-Qj
 for 16913 <at> debbugs.gnu.org; Thu, 12 May 2022 13:43:19 -0400
Received: by mail-qk1-f174.google.com with SMTP id v11so5344781qkf.1
 for <16913 <at> debbugs.gnu.org>; Thu, 12 May 2022 10:43:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ANGdN+mSUlNGYi+QFbNCqhbLyCksueX+iCSgaGiRwxw=;
 b=u+gGTYf/rqpKjtshHaVVt87UvrPMGu9ASPldXTApyDF9WZJD8hUGQCyHbhCAUEfECP
 Y9QuNsFlnn7aaTxHOfj6xgFP22jji4ru1NbFFKCgoeQGkpH0pp5gsEjx4gXa+0bMYEmp
 3X9rTGZRdjqA7ITU+WKby5BQKO19Xjk7AJYX0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ANGdN+mSUlNGYi+QFbNCqhbLyCksueX+iCSgaGiRwxw=;
 b=guQidTGSXFqUAq+DpP10THwJwttx3xScP+Lrop19wimRHr42HmSpGnMOwwbJOYAG+X
 YZHRsXQPanMbjy6NlwJtPh+qIsE/Uso3kPdVAWSZSu0Lr6qWljYORcpX8Sy/nAX7R7hR
 WAxvjBSdzNn6XBXjvUjfYqbBGhAaawgsakp3tdMyqrfLLlZujFsi8uooP0OQgPvQ6DOb
 fSejhrkyEvA7lwBHQgM/El6zK4K3+kXvAYxzoUXblNf54C/dcL0q04WBQXJvC/DWxQvu
 WaREdXo5weOVxXCiVOjf0rJIP/xo/vNcHsAjF/8bQHNBS/EhoRSU38hYLdxz/efup8Vc
 M21w==
X-Gm-Message-State: AOAM531oRMae+D7b7dPVUlLyFxS2zJCqUK3wc1JgYJ/ZptIstjo5rVAS
 lPMFMD/WcGseQ1TR+7SM70mXHp+PXdOd8siDbvDIbxnJ0PomYg==
X-Google-Smtp-Source: ABdhPJw+I31DayR3LThRBr3AkzRgEuAFXrI0nGG4S9DJFO4qBFFxCWKCLAtYSA8fuUdjBEjYEl5RgQgHP0qzwgcciyU=
X-Received: by 2002:a05:620a:4403:b0:6a0:5093:1742 with SMTP id
 v3-20020a05620a440300b006a050931742mr765716qkp.691.1652377390058; Thu, 12 May
 2022 10:43:10 -0700 (PDT)
MIME-Version: 1.0
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN> <86mtfmg1rm.fsf@HIDDEN>
In-Reply-To: <86mtfmg1rm.fsf@HIDDEN>
From: Reuben Thomas <rrt@HIDDEN>
Date: Thu, 12 May 2022 18:42:59 +0100
Message-ID: <CAOnWdoghLUAauqD71ofzN9YAihbSVd9xA_2mDgN4FS=7Su0E=w@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
To: Juri Linkov <juri@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000005ea2c505ded41774"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16913
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 16913 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005ea2c505ded41774
Content-Type: text/plain; charset="UTF-8"

On Thu, 12 May 2022 at 18:07, Juri Linkov <juri@HIDDEN> wrote:

> It's easier to write own simple command than to learn a new key, e.g.
>
> ```
> (defun irgrep ()
>   (interactive)
>   (let ((case-fold-search nil))
>     (call-interactively 'rgrep)))
> ```
>

The idea was to add the capability to do case-insensitive matching to all
commands that read regexs. The list of simple commands one would have to
write could be quite long!

-- 
https://rrt.sc3d.org

--0000000000005ea2c505ded41774
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail=
_attr">On Thu, 12 May 2022 at 18:07, Juri Linkov &lt;<a href=3D"mailto:juri=
@linkov.net">juri@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"g=
mail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex">It&#39;s easier to write own simple command tha=
n to learn a new key, e.g.<br>
<br>
```<br>
(defun irgrep ()<br>
=C2=A0 (interactive)<br>
=C2=A0 (let ((case-fold-search nil))<br>
=C2=A0 =C2=A0 (call-interactively &#39;rgrep)))<br>
```<br>
</blockquote></div><br clear=3D"all"><div><div style=3D"font-family:arial,h=
elvetica,sans-serif;font-size:small" class=3D"gmail_default">The idea was t=
o add the capability to do case-insensitive matching to all commands that r=
ead regexs. The list of simple commands one would have to write could be qu=
ite long!<br></div></div><div><br></div>-- <br><div dir=3D"ltr" class=3D"gm=
ail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"><a href=3D"https://rr=
t.sc3d.org" target=3D"_blank">https://rrt.sc3d.org</a></div></div></div></d=
iv></div>

--0000000000005ea2c505ded41774--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 12 May 2022 17:08:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 12 13:08:08 2022
Received: from localhost ([127.0.0.1]:42137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npCIJ-00051y-N3
	for submit <at> debbugs.gnu.org; Thu, 12 May 2022 13:08:07 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:34149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1npCIH-000515-CH
 for 16913 <at> debbugs.gnu.org; Thu, 12 May 2022 13:08:05 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 466E31C000A;
 Thu, 12 May 2022 17:07:57 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
Organization: LINKOV.NET
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
 <87fslf6hcs.fsf@HIDDEN>
Date: Thu, 12 May 2022 19:46:33 +0300
In-Reply-To: <87fslf6hcs.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 20:42:43 +0200")
Message-ID: <86mtfmg1rm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> When sometimes necessary to toggle case sensitivity, I use 'C-u rgrep'
>> and edit the command line by adding/removing "-i" before running grep.
>
> Yes, Reuben mentioned that in the bug report as an unsatisfactory
> interface, and I agree -- the prompt is over 1K long by default.  You
> can't expect users to deal with that.

It's easier to write own simple command than to learn a new key, e.g.

```
(defun irgrep ()
  (interactive)
  (let ((case-fold-search nil))
    (call-interactively 'rgrep)))
```




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 11 May 2022 18:43:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 14:43:08 2022
Received: from localhost ([127.0.0.1]:38477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1norIV-0004H7-Mk
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 14:43:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1norIT-0004Gq-LS
 for 16913 <at> debbugs.gnu.org; Wed, 11 May 2022 14:42:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=8s187edlf/3001U4xvE29RwRpYaU3IpLHBHv7B9J5fU=; b=pfgylgOJm3++XnIG/XfmiPeC8P
 /YXCWc74ksPYodripKPSEZ8qNvoX+0st/qf57tFDRqXaGIdRas8jCqXwnY3U4Uh6kin/hP7BZ3J70
 u/aBg9ExzTXWmeI5AyMZZIQQT/zQBuX36B3r8U46KPU1Z9AXlpKXaL50/SqUAeidO68s=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1norIK-0003D4-Hu; Wed, 11 May 2022 20:42:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN> <86h75w2do3.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEX+/v7y7+rr6eXp
 49nUzcDTyLfc1Mfj3dS/sZuosMypsc3v6d7j2sv///+OPoBVAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+YFCxImI20z3wYAAACFSURBVDjLY2AYnIBRAEgICGFKGDMwujAFhIRhaChPD+0QSw1tVUaXUS8q
 KzdScykrINbumatWzgQCIDFrFRJYySAopCgoKMAIJATVBZEAA0MSUBv3hmQgeQjVVcZlyYmswdFH
 U0PDDASQJYqNK4JsrJnOHDM+Yy2Aar/4QAf+KBgFgxQAAHwaJF3ORJNcAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIyLTA1LTExVDE4OjM4OjM1KzAwOjAwpAZEsAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 Mi0wNS0xMVQxODozODozNSswMDowMNVb/AwAAAAASUVORK5CYII=
X-Now-Playing: Scritti Politti's _Songs to Remember_: "Jacques Derrida"
Date: Wed, 11 May 2022 20:42:43 +0200
In-Reply-To: <86h75w2do3.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 11 May 2022 20:12:32 +0300")
Message-ID: <87fslf6hcs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > When sometimes
 necessary
 to toggle case sensitivity, I use 'C-u rgrep' > and edit the command line
 by adding/removing "-i" before running grep. Yes, Reuben mentioned that in
 the bug report as an unsatisfactory interface, and I agree -- the prompt
 is over 1K long by default. You can't expect users to deal with that. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> When sometimes necessary to toggle case sensitivity, I use 'C-u rgrep'
> and edit the command line by adding/removing "-i" before running grep.

Yes, Reuben mentioned that in the bug report as an unsatisfactory
interface, and I agree -- the prompt is over 1K long by default.  You
can't expect users to deal with that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 11 May 2022 17:22:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 13:22:07 2022
Received: from localhost ([127.0.0.1]:38353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noq2J-0001rg-Ji
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 13:22:07 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:47747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1noq2G-0001qK-Gl
 for 16913 <at> debbugs.gnu.org; Wed, 11 May 2022 13:22:04 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 5FBEE200005;
 Wed, 11 May 2022 17:21:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
Organization: LINKOV.NET
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN>
Date: Wed, 11 May 2022 20:12:32 +0300
In-Reply-To: <87v8uc8b8o.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 15:11:51 +0200")
Message-ID: <86h75w2do3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org, Reuben Thomas <rrt@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I'm not sure how the rgrep command could be extended here -- do you mean
> that the user should type `M-c' at the first prompt to change
> case-fold-search?  Or perhaps alter `read-regexp' to bind `M-c' to alter
> case-fold-search?
>
> Hm...  The latter seems like it could be generally useful, but I don't
> see any practical way of implementing it.  I mean, we can't just set
> case-fold-search here, because that would require all read-regexp
> callers to bind it first.
>
> Hm.  Anybody got any ideas?

When sometimes necessary to toggle case sensitivity, I use 'C-u rgrep'
and edit the command line by adding/removing "-i" before running grep.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 11 May 2022 14:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:10:41 2022
Received: from localhost ([127.0.0.1]:37990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1non33-0001nN-CJ
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:10:41 -0400
Received: from mail-pj1-f42.google.com ([209.85.216.42]:47022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rrt@HIDDEN>) id 1non31-0001n4-Em
 for 16913 <at> debbugs.gnu.org; Wed, 11 May 2022 10:10:40 -0400
Received: by mail-pj1-f42.google.com with SMTP id
 cq17-20020a17090af99100b001dc0386cd8fso2177970pjb.5
 for <16913 <at> debbugs.gnu.org>; Wed, 11 May 2022 07:10:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=IRHZiy9pZ29zJ+Ema7gchrIiNvPXby8yJldWODQOS3c=;
 b=DMQOjd7gOyDOBuM03d3PjOogRCw/1tW6MNohE+DgZB5nLiVEqG8jQqyQC32nVNj/aJ
 /TUA/pOW8E1uVuPWG04TzVwAIiEZdB34TOF9U1v0OuylUg1g2lR5KXrFl4LEUj1bL51e
 tdttglkQubEQt6al1SHQVi2sDcIt4VC3TrXX8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=IRHZiy9pZ29zJ+Ema7gchrIiNvPXby8yJldWODQOS3c=;
 b=vx4FLpRrNMiDMF7UFZ2zaW8hDJoP/cNSifi1dk8aneB6P0gAc033sLUcc7v/VAGPvF
 tCz+kKzRIMxVNtPmPNpIXVL+dP0zq1msD6NpunfNWGg4OSEDABgls/6G0tgLxF5FodMl
 r146OLSM5OALQDy6kfwPMCW+kcUObdr2Z/vJuQ+KFkcEiiIgo4BQN3YcmJYOJB7U0Ee/
 XfH72fAvknMd2qSim1uPkbpejPiEe9CxDiGoOlDEUqokiKhAet6bkxcjxTGT6bbWkXpK
 9dFrAPm+Q7XKOT1aBVUbJuDMXyClailel6b6kdPAHpre2KYGh9etnL7m/kA43+EXTWiq
 QDww==
X-Gm-Message-State: AOAM530xG6+vb6xgffnr99/h448aSjmAxbhnACAbFUewyNIeOon/A0Ge
 Y+Gx98/0k9emqrtZskYhvLPKbePn10ESA+rErpmTkgyaxvm+fw==
X-Google-Smtp-Source: ABdhPJyWiUFKLadCUkSau+I8aN3gVZEqfFsUaxwviMVwndoamguH0w4cLKPawtxGa32QacNe24l4YDNNHjllEhiQb+g=
X-Received: by 2002:a17:90b:368e:b0:1d8:fcd2:c6ca with SMTP id
 mj14-20020a17090b368e00b001d8fcd2c6camr5605736pjb.44.1652278233445; Wed, 11
 May 2022 07:10:33 -0700 (PDT)
MIME-Version: 1.0
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 <87v8uc8b8o.fsf@HIDDEN>
In-Reply-To: <87v8uc8b8o.fsf@HIDDEN>
From: Reuben Thomas <rrt@HIDDEN>
Date: Wed, 11 May 2022 15:10:21 +0100
Message-ID: <CAOnWdojk9zCPXe65nLieFM5H7v49s7THiaffTW7y1PHpi4g8ag@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002ccebc05debd01e9"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002ccebc05debd01e9
Content-Type: text/plain; charset="UTF-8"

On Wed, 11 May 2022 at 14:11, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

>
> I'm not sure how the rgrep command could be extended here -- do you mean
> that the user should type `M-c' at the first prompt to change
> case-fold-search?  Or perhaps alter `read-regexp' to bind `M-c' to alter
> case-fold-search?
>

Sorry, it's been a while since I wrote the report, and these days I mostly
use a front-end to "git grep".

It would be really cool if you could find a design that works at the level
of read-regexp.

Thanks once again for your determined work on the bugs backlog!

-- 
https://rrt.sc3d.org

--0000000000002ccebc05debd01e9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:arial,helvetica,sans-serif;font-size:small">On Wed, 11 May 2022 at=
 14:11, Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@gnus.=
org</a>&gt; wrote:<br></div></div><div class=3D"gmail_quote"><blockquote cl=
ass=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid=
 rgb(204,204,204);padding-left:1ex"><br>
I&#39;m not sure how the rgrep command could be extended here -- do you mea=
n<br>
that the user should type `M-c&#39; at the first prompt to change<br>
case-fold-search?=C2=A0 Or perhaps alter `read-regexp&#39; to bind `M-c&#39=
; to alter<br>
case-fold-search?<br></blockquote><div><br></div><div><div style=3D"font-fa=
mily:arial,helvetica,sans-serif;font-size:small" class=3D"gmail_default">So=
rry, it&#39;s been a while since I wrote the report, and these days I mostl=
y use a front-end to &quot;git grep&quot;.</div><div style=3D"font-family:a=
rial,helvetica,sans-serif;font-size:small" class=3D"gmail_default"><br></di=
v><div style=3D"font-family:arial,helvetica,sans-serif;font-size:small" cla=
ss=3D"gmail_default">It would be really cool if you could find a design tha=
t works at the level of read-regexp.</div><div style=3D"font-family:arial,h=
elvetica,sans-serif;font-size:small" class=3D"gmail_default"><br></div><div=
 style=3D"font-family:arial,helvetica,sans-serif;font-size:small" class=3D"=
gmail_default">Thanks once again for your determined work on the bugs backl=
og!<br></div></div></div><br>-- <br><div dir=3D"ltr" class=3D"gmail_signatu=
re"><div dir=3D"ltr"><div><div dir=3D"ltr"><a href=3D"https://rrt.sc3d.org"=
 target=3D"_blank">https://rrt.sc3d.org</a></div></div></div></div></div>

--0000000000002ccebc05debd01e9--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16913 <at> debbugs.gnu.org:


Received: (at 16913) by debbugs.gnu.org; 11 May 2022 13:12:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:12:03 2022
Received: from localhost ([127.0.0.1]:36498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nom8J-0001bd-An
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:12:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nom8H-0001aq-Fj
 for 16913 <at> debbugs.gnu.org; Wed, 11 May 2022 09:12:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=q/pr/xGCkj6vTXY7q+0In+Ogba+3LXgavdUiyIORcU0=; b=T6L5e6SMHY+xyc7GgQMu+hB7sh
 8ZbgYjCCd5/iJUq2mm1YqJCTGDF5pDg2ohBv7gAzdkVDjKnt99SKe/E5o8earQbsNdH5ExYUQ9XQi
 7403XqsPuV+3JM+PHHQoUOnxwddFFOq1Km58BIjdnU7w524cfTINxyDxBMf3GhXP9Zt0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nom88-0008SP-BN; Wed, 11 May 2022 15:11:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#16913: Please extend case-fold-search on-the-fly toggling
References: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
X-Now-Playing: Joni Mitchell's _Taming the Tiger_: "Love Puts on a New Face"
Date: Wed, 11 May 2022 15:11:51 +0200
In-Reply-To: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
 (Reuben Thomas's message of "Sat, 1 Mar 2014 11:48:17 +0000")
Message-ID: <87v8uc8b8o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Reuben Thomas <rrt@HIDDEN> writes: > I have started using
 rgrep a lot recently, but I notice that the only > way to change its case
 sensitivity, other than manually editing the > grep command, is to change
 case-fold-search. > > isearch [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 16913
Cc: 16913 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Reuben Thomas <rrt@HIDDEN> writes:

> I have started using rgrep a lot recently, but I notice that the only
> way to change its case sensitivity, other than manually editing the
> grep command, is to change case-fold-search.
>
> isearch now has the ability to toggle case-fold-search for a single
> search using M-c; please could we have something like this in all (or
> at least many more!) commands that use case-fold-search?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure how the rgrep command could be extended here -- do you mean
that the user should type `M-c' at the first prompt to change
case-fold-search?  Or perhaps alter `read-regexp' to bind `M-c' to alter
case-fold-search?

Hm...  The latter seems like it could be generally useful, but I don't
see any practical way of implementing it.  I mean, we can't just set
case-fold-search here, because that would require all read-regexp
callers to bind it first.

Hm.  Anybody got any ideas?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Mar 2014 11:48:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 01 06:48:27 2014
Received: from localhost ([127.0.0.1]:45384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WJiP4-0005m0-Q2
	for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:48:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47410)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rrt@HIDDEN>) id 1WJiP0-0005lp-Q5
 for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:48:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1WJiOz-0003ab-Kx
 for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:48:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59135)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
 id 1WJiOz-0003aX-IV
 for submit <at> debbugs.gnu.org; Sat, 01 Mar 2014 06:48:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49123)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1WJiOy-0000En-HT
 for bug-gnu-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1WJiOx-0003a0-PJ
 for bug-gnu-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:20 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35019)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
 id 1WJiOx-0003Zw-Mi
 for bug-gnu-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:19 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45044)
 by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rrt@HIDDEN>) id 1WJiOx-0005Xi-DW
 for bug-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rrt@HIDDEN>) id 1WJiOw-0003Ze-Gf
 for bug-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:19 -0500
Received: from mail-yk0-x22b.google.com ([2607:f8b0:4002:c07::22b]:33096)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
 id 1WJiOw-0003ZL-9b
 for bug-emacs@HIDDEN; Sat, 01 Mar 2014 06:48:18 -0500
Received: by mail-yk0-f171.google.com with SMTP id q9so5148579ykb.2
 for <bug-emacs@HIDDEN>; Sat, 01 Mar 2014 03:48:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sc3d.org; s=google;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=xSI4Ubxt1za+IKQPFMNL5sfs21H/jwzqtCE+dduwoM8=;
 b=sy/Xsi5otK0Rneyb5yJtBEB53V7Oo4zZWkfBjzVVbvr3kViT230PY3flmXihfjOjwq
 zm6sdW258kGDHFke9jXrf4dM4+inwniNmIOp2wqUV92MS+5/fO1qKGENlwYPsZwXdWon
 F+mvpB/ceZzBdPElFyZSHuoyjTCraxe/B6Bik=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=xSI4Ubxt1za+IKQPFMNL5sfs21H/jwzqtCE+dduwoM8=;
 b=L1JLehGLul/+eoLu1B8oKugi6yxWOWCX2y64ulo2ohrtlI88ffK8DNmdyL2SPjJthI
 8Xee4mnvn0NUfZc/5SFUdtqITy6DoQ7WyDblTqK8c8TXUjlbPQP9O7ftHM3+R+zF4wlZ
 qEhNOJbIlNP+UElTdHSCEVFPQCzPOBtOBbYRs0rN/9W3+i3r5Oc7j7PKgvLqnTqrnW+w
 wnBzeu8Q3dM4hAXZDw4XYhqhP0L3nREKSa6ImuEwpRPOKkFs8WuUgqy0Tax68dtY2MiC
 0C4ofzq7fmTQc09hPR9NZji/9f/6cwi2+/aMj0NXUhpYVOJF+0c/8+zf/MT/Nu6Dzr17
 WZ8g==
X-Gm-Message-State: ALoCoQk2kmAfo66/BUoQhYtNbfwHnaLZrsXv84ZjoIrx8t6rGojfR3cQ4pXwHLgiS35Wy3nMjumk
MIME-Version: 1.0
X-Received: by 10.236.147.129 with SMTP id t1mr39185yhj.91.1393674497357; Sat,
 01 Mar 2014 03:48:17 -0800 (PST)
Received: by 10.170.137.66 with HTTP; Sat, 1 Mar 2014 03:48:17 -0800 (PST)
Date: Sat, 1 Mar 2014 11:48:17 +0000
Message-ID: <CAOnWdohS0zV6B8NA9Xu1kBHRTv+QY36_nHyRirRvxPCK6Q2z+w@HIDDEN>
Subject: Please extend case-fold-search on-the-fly toggling
From: Reuben Thomas <rrt@HIDDEN>
To: bug-emacs <bug-emacs@HIDDEN>
Content-Type: multipart/alternative; boundary=20cf303a2c0359350d04f38a210d
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

--20cf303a2c0359350d04f38a210d
Content-Type: text/plain; charset=ISO-8859-1

I have started using rgrep a lot recently, but I notice that the only way
to change its case sensitivity, other than manually editing the grep
command, is to change case-fold-search.

isearch now has the ability to toggle case-fold-search for a single search
using M-c; please could we have something like this in all (or at least
many more!) commands that use case-fold-search?

-- 
http://rrt.sc3d.org

--20cf303a2c0359350d04f38a210d
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I have started using rgrep a lot recently, but I notice th=
at the only way to change its case sensitivity, other than manually editing=
 the grep command, is to change case-fold-search.<br><br>isearch now has th=
e ability to toggle case-fold-search for a single search using M-c; please =
could we have something like this in all (or at least many more!) commands =
that use case-fold-search?<br clear=3D"all">
<div><br>-- <br><a href=3D"http://rrt.sc3d.org">http://rrt.sc3d.org</a>
</div></div>

--20cf303a2c0359350d04f38a210d--




Acknowledgement sent to Reuben Thomas <rrt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16913; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 Jun 2022 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.